Problem z newsasystent 1.5


(Pawelwer) #1

próbuję zainstalować News Asystent 1.5 i mi wywala błąd przy próbie instalacji na serverze po kliknięciu instaluj

Warning: fopen(./config.php) [function.fopen]: failed to open stream: Permission denied in public_html/news/install.php on line 167

PHP Error Message

Warning: flock() expects parameter 1 to be resource, boolean given in public_html/news/install.php on line 168

PHP Error Message

Warning: fputs(): supplied argument is not a valid stream resource in public_html/news/install.php on line 169

PHP Error Message

Warning: flock() expects parameter 1 to be resource, boolean given in public_html/news/install.php on line 178

PHP Error Message

Warning: fclose(): supplied argument is not a valid stream resource in public_html/news/install.php on line 179

a oto kod kawałek kodu z install.php:


(Zbyszekborkowski) #2

Problem generowany jest jedynie przez kod z pierwszego wiersza w podanym przez Ciebie fragmencie. Kolejne wynikają tylko przez wystąpienie pierwszego. Skrypt nie ma odpowiednich praw dostępu do pliku config.php.

Spróbuj zmienić chmody temu plikowi i zwiększyć prawa dostępu do niego.


(Pawelwer) #3

ten plik ma się właśnie dopiero utworzyć, jego nie ma w katalogu


(Zbyszekborkowski) #4

Rzeczywiście, mój błąd. W takim razie katalog nadrzędny pewnie nie ma odpowiednich praw dostępu.